Skip to content
getgeolens.com

List Contacts Endpoint

GET
/records/{record_id}/contacts/
curl --request GET \
--url 'https://example.com/records/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/contacts/?skip=0&limit=100'

List all contacts for a record.

record_id
required
Record Id
string format: uuid
skip
Skip
integer
0
limit
Limit
integer
default: 100 >= 1 <= 500

Successful Response

Media type application/json
ContactListResponse
object
contacts
required
Contacts
Array<object>
ContactResponse
object
id
required
Id
string format: uuid
record_id
required
Record Id
string format: uuid
role
required
Role
string
name
required
Any of:
string
email
required
Any of:
string
organization
required
Any of:
string
phone
required
Any of:
string
extra_json
required
Any of:
object
key
additional properties
any
sort_order
required
Sort Order
integer
total
required
Total
integer
Example generated
{
"contacts": [
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"record_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"role": "example",
"name": "example",
"email": "example",
"organization": "example",
"phone": "example",
"extra_json": {},
"sort_order": 1
}
],
"total": 1
}

Bad request — invalid payload

Media type application/problem+json
ProblemDetail
object
type
Type
string
default: about:blank
title
required
Title
string
status
required
Status
integer
detail
required
Any of:
string
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Unauthorized — missing or invalid credentials

Media type application/problem+json
ProblemDetail
object
type
Type
string
default: about:blank
title
required
Title
string
status
required
Status
integer
detail
required
Any of:
string
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Forbidden — caller lacks access to this resource

Media type application/problem+json
ProblemDetail
object
type
Type
string
default: about:blank
title
required
Title
string
status
required
Status
integer
detail
required
Any of:
string
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Not found

Media type application/problem+json
ProblemDetail
object
type
Type
string
default: about:blank
title
required
Title
string
status
required
Status
integer
detail
required
Any of:
string
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Conflict — resource state prevents the operation

Media type application/problem+json
ProblemDetail
object
type
Type
string
default: about:blank
title
required
Title
string
status
required
Status
integer
detail
required
Any of:
string
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Validation error

Media type application/problem+json
ProblemDetail
object
type
Type
string
default: about:blank
title
required
Title
string
status
required
Status
integer
detail
required
Any of:
string
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Too many requests — retry after the advertised interval

Media type application/problem+json
ProblemDetail
object
type
Type
string
default: about:blank
title
required
Title
string
status
required
Status
integer
detail
required
Any of:
string
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}
Retry-After
integer

Seconds until the request may be retried

Internal server error

Media type application/problem+json
ProblemDetail
object
type
Type
string
default: about:blank
title
required
Title
string
status
required
Status
integer
detail
required
Any of:
string
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Service unavailable — the database could not serve the request

Media type application/problem+json
ProblemDetail
object
type
Type
string
default: about:blank
title
required
Title
string
status
required
Status
integer
detail
required
Any of:
string
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}